Welcome

Top Next

Let us Begin the Introduction


Overview

Overview Previous Top Next

FreshDownload
Fresh Download is an easy-to-use and very fast download manager software that turbo charge downloading any files from the Internet, such as your favorite software, mp3 files, video files, etc. Unlike any other similar utilities, this software is 100% free, no charges, no banners/ads in the software (which will slowdown your download), no spyware .

You only need to enter a registration number if you want to use it for more than 23 days. Registration code can be obtained from us for FREE simply by submitting this simple form (note: please turn on your modem).


how to

How to Use Previous Top Next

Manually adding files to download
Click the Add icon or press File>Add New URL menu or press Ctrl+Insert key. The Add new URL dialog will appear. Here you can enter the location of a file you want to retrieve, and folder to save.

Automatically adding files to download
Fresh Download can integrate with Internet Explorer (4.0 and later), Netscape (4.x and 6.x), and Opera (5.x and later) for easy click and download support. For example, if you set the Internet Explorer as your default browser, you should not do any additional operations for call of Fresh Download, simply browse normally using your Internet Explorer and when you find a file you want to download, just click the link like you would normally do. Fresh Download will intercept the file and appear Add new URL dialog. To disable this feature, you can disable the Integrate into Internet Explorer option in the Option dialog box (View>Fresh Download Options menu). To temporary disable this feature, you can press Alt button when click the download URL in your browser using your mouse.
* Note: In this latest version, Fresh Download will automatically attempt to make itself as your default download manager. A confirmation dialog box will appear on the screen when the program loaded, to do so click Yes.

Scheduling a Downloading
With Fresh Download you can schedule files to download later. To do so, first select any files you want to schedule for download. Click the Schedule icon or press Download>Schedule option. Set a start time and date for the download. Now your download will start at the scheduled time. * Note: In this version, the schedule feature only work if your computer always stays connected to the Net.

Multiple connections/Split downloading
To get the highest possible speed, Fresh Download can be specified to use more than one connection for the same file; the default setting is 4 connections and can be increased up to 8 connections. To specify how many connections will be used for a single file, go to the Option dialog box (View>Fresh Download Options menu) and then enter the number of connections in the Simultaneous connections box. You can set the same of different settings for http and ftp.
* Note: in a case if resume is not supported by the server then split downloading/multiple connections is impossible.

Clipboard monitoring
You can add a download item into the list simply by copying an URL contains a file with registered extensions (ZIP, EXE, MP3, etc.) in any applications, such as IE, Netscape, Opera, MS Word, etc (select a link followed by CTRL+C, Edit>Copy from these application's menu bar, or Copy from these application's context menu). To activate this option, go to the Option dialog box (View>Fresh Download Options>Integration menu) and then activate the Clipboard Monitoring option.

Drag & Drop feature
You can add a download item into the list simply by dragging & dropping an URL contains a file with registered extensions (ZIP, EXE, MP3, etc.) from any applications (e.g. IE, Netscape, Opera, MS Word, etc) that support drag & drop feature, into the download basket or download list. This feature is always active, however you show or hide the download basket simply by activate/deactivate the Show Download Basket for Drag and Drop option (View>Fresh Download Options>Integration menu).


System Requirements

System requirements Previous Top Next

To run FreshDownload on your computer, it is necessary that your system include the following components:

Operating Systems
  • Windows 95
  • Windows 95 OSR2
  • Windows 98
  • Windows 98 Second Edition
  • Windows Me
  • Windows NT 4.0
  • Windows 2000
  • Windows XP

CPU
Any x86 if only Windows was started.

RAM
Any size if only Windows was started.


menus and options

Menus and Options Previous Top Next

File

Add : add a new file/URL into the list

Delete : delete URL from the list

Property : show file/URL status (download status, connection)

Download

Start : start downloading the selected file/URL

Pause : pause (temporarily stop) running download for selected file

Stop : stop running download for selected file

Download All : downloads all files/URL in the list

Pause All : pause all running downloads

Stop All : stop all running downloads

Schedule : specify download schedule

Clear Schedule : delete schedule

View

Toolbars : show or hide toolbars

Status Bar : show or hide status bar

Text Labels : show or hide the text of toolbar's button

FreshDownload Options : call the Fresh Download Options dialog box

Add new URL dialog box

Fill-in the URL field with the source of file location, for example : http : //www.xyz.com/xyz.zip or ftp : //www.xyz.com/xyz.zip. Specify the destination folder in the Save as field (by default, Fresh Download will use your Desktop as the destination folder). You can also specify the name of local file (if you want to make it different from original file), or leave it blank if you want to use its original name.

Property dialog box

This dialog box will show the property of downloaded files

General : Show status of downloaded files

Connection : Show status of every connection (parts of files)

* Note : connection will not be shown if the file has completely downloaded or the download has not started

Option dialog box

FILES TAB
Categorized download : Specify the download file type, folder locations with specific setting.The setting can be add, edit, and remove from the list.

Default download folder : Specify the default folder to save downloaded files.

Temporary folder : Specify temporary folder for part of downloaded files (if you use multiple connections)

Remember last folder used : Use the past download folder.

When replacing existing file : Delete existing file or rename it with .BAK extension when the file is already exist

Start download after adding to list : If selected, the file will be automatically downloaded right after its URL added into the list

Start download after loading list : If selected, the file will be automatically downloaded when the list loaded (program started)

Delete from list after finished download : If selected, the item will be automatically deleted from the list after that item have finished its job to
download

Show Open/Run dialog after finished download : Activate this option if you want to open/run after finished download. If you activate internal zip
extractor, the zip file will be opened by internal zip extractor.

INTEGRATION TAB
Integrate into Microsoft Internet Explorer : Use it to intercept the file and automatically call Add new URL dialog, when you click a URL contains a
file (with specified extensions) from the Internet Explorer. There is two method for this option. Method 1 use BHO (Browser Helper Object) and this
method will make sure the Fresh Download as your download manager. We recommended you to use this method. Method 2 use NSH (Name Space
Handler), You can use this method as alternative if the Method1 is not work for your IE browser. You must also use this method (NSH method), if you
want to use Fresh Download can integrate with other IE-based browser, such as NeoPlanet.

Replace IE Download dialog (I.E 5.5 or higher) : Use it to change the dialog when using I.E 5.5 or Higher.

Integrate into Netscape Communicator (4.x /6.x/7.x) : Use it to intercept the file and automatically call Add new URL dialog, when you click a URL
contains a file (with specified extensions) from the Netscape Communicator version 4.x/6.x/7.x

Integrate into Opera : Use it to intercept the file and automatically call Add new URL dialog, when you click a URL contains a file (with specified
extensions) from the Opera

Integrate into Mozilla : Use it to intercept the file and automatically call Add new URL dialog, when you click a URL contains a file (with specified
extensions) from the Mozilla

Automatically start downloading the following extension : Use it to set extension of files, which should be captured. Every extension separated by
an empty space

Show FD in IE context menu : This option will add two items in IE context menu :
  • "Download using FreshDownload" command to download selected URL in IE
  • "Download All using FreshDownload" command to download all URL in site that opened by IE

Show download basket for drag and drop : Use it to show download basket for easy adding url into the list

Check Default Download Manager : Use it to check the active download manager.

Clipboard monitoring : Use it to activate clipboard monitoring feature for easy adding url into the list

Virus checking : Use it to activate virus scanning feature in Fresh Download
  • Virus scanner : Use it to select your antivirus program
  • Parameter : Fill-in your antivirus program's parameters into this box
  • Only for type : Select the extensions will be scanned by antivirus programs

Define MIME Type : Select the type of MIME and check/uncheck it in the list.

CONNECTION TAB
Simultaneous connections : Define how many connections/split downloading may run at one time

Max simultaneous downloads : Define how many target files can be downloaded simultaneously. If your targets more than maximum value then the
program will download the target as many as the maximum setting and put the rest of the targets into queue.

Download retry : Specify how many times the software will try to make connections

Retry wait : Waiting time between two retry

Timeout : Specify waiting time to get a response from the server. Within the time interval, if there is no response from the server then the error
message will appear on your screen. Adjust this option to a bigger number if the connection needs a longer time

Minimum size to split : Specify minimum size to activate simultaneous connections. When download size is below this option then FD will do it in
single connection. Use Dial-up on Scheduler Use this option to auto connect to your dial-up networking. Just select your dial-up connection name, user
name, and the password. If you want to disconnect after you finish the download job, then activate auto disconnect option.

Disconnect when finished downloads : automatically turn-off the internet connection when the download has finished.

Use Dial-Up on Scheduler : Dial-Up Connection will work on the specific time, with the login user name and password. the redial times also sets here.

PROXY TAB
HTTP Proxy : Check this option if your connection to the Internet in HTTP protocols using a proxy server. Enter the setting into the corresponding
boxes : address, port, username and password. Leave the username and password empty if your proxy server does not required it

FTP Proxy : Check this option if your connection to the Internet in FTP protocols using a proxy server. Enter the setting into the corresponding boxes :
address, port, username and password. Leave the username and password empty if your proxy server does not required it.
Check the PASV option if you use passive mode

Use FTP in PASV Mode: this sets the File Transfer Protocol as a connection with condition of passive by the client sends to FTP server.

PROTOCOL TAB
HTTP
  • User-Agent : Some website only allows certain browser to download from their site. By using this option, you're telling FreshDownload to imitate IE or
  • Netscape. It is necessary to change the way offline explorer represents itself to other web servers. The user agent can be vary but the default
  • represents as Microsoft Internet Explorer 5.0

  • User define : Variable that can be define in the User-Agent.
  • Send Referer : The referer wil send after the protocol.
  • Enable-Cookie : Activate the cookies facillity.

FTP
  • Use ASCII mode for files with extension(s) : The ASCII mode configures for the specific file type.
  • E-Mail address for anonymous logins : Specify e-mail address if the login is in anonymous name mode.

SITE PASSWORD TAB
Add button : Use this button to add password and user name for specific site which requires authorization

Edit button : Use this button to edit password and user name

Remove button : Select site's name and then click this button to remove it from the list

INTERNAL ZIP TAB
Use internal zip extractor : Activate this option to use Fresh Download internal zip extractor

Unzip folder : Set the default destination root for the unzipped files

Overwrite files : Overwrite files if already exists

Open zip folder after unzip : Activate this option to open zip folder after unzip

EXCLUDED SITE TAB
Add Use this button to add new sites into the excluded list. There are 3 rules :
1. Always : Fresh Download will always bypass downloading any file in this site.
2. If found : Fresh Download will bypass downloading from this site if only found the word specified in the URL.
3. If not found : opposite of the rules #2

Add Use this button to add selected site.
Edit Use this button to edit selected site.
Remove Use this button to remove selected site from the.

DISPLAY TAB
Graphics Display
  • Maximum display : Set maximum value of transfer rate's graphic
  • Background color : Color of transfer rate's background
  • Bar color : Color of transfer rate bar
  • Bar color style : Style of the bar : solid or gradation
  • Chart Direction : direction of the chart : Left to Right or Right to Left

File List
  • Use background : Use a bitmap as background of the list, and also the settings of the font showed on the download list section.
  • Gridlines : Show/hide grid on the list
  • Columns : Show/hide some columns banner such as filename, size of the files, downloaded status, the percentage of downloaded item,estimated time, shedule of item download time, description of the downloaded items, URL where them downloaded items located. The mark/unmark of the box of the columns changes the display of the download list.

ADVANCED TAB
Always show Add Dialog : Automatically shows Add Dialog when ready to download.

Get File date and time from server : Check the date and time information of the file from the downloaded server.

Shut Down after finished downloads : Turn Off the Computer automatically if the downloading process has finished.


Disclaimer

Disclaimer Previous Top Next

FRESH DOWNLOAD IS PROVIDED AS IS. FRESHDEVICES CORP. will in no way be responsible, in financial or any other terms, for damages (either consequential or incidental) resulting from the use or misuse of FRESH DOWNLOAD or from following directions in this document. No warrantee as to fitness to a particular purpose is given or implied.

Because of the wide variety of hardware and software combinations available today, it is up to the user to ensure that FRESH DOWNLOAD functions well in his or her environment. The user must assume the entire risk of using


Distribution

Distribution Previous Top Next

You may reproduce and distribute an unlimited number of copies of FRESH DOWNLOAD ; provided that each copy shall be a true and complete copy, including all copyright and trademark notices, and shall be accompanied by a complete documentations.

FRESH DOWNLOAD may not be sold or be included in a product or package which intends to receive benefits through the inclusion of this product. FRESH DOWNLOAD may be included in any free or non-profit packages or products.

This FRESH DOWNLOAD software is the property of FRESHDEVICES CORPORATION. Any reproduction in whole or in part is strictly prohibited.


Licensing

Licensing Previous Top Next

Personal License

FRESHDOWNLOAD is FREE for personal/private use only. Free registration is required if you want to use it longer than 11 days. Registration number for this version can be obtained for FREE, simply visit http://www.freshdevices.com.

Business License
The license associated with this product allows for free personal use only. Use on PC(s) in a corporate, educational, military or government installation is prohibited. You MUST purchase a license if you are using this software in any business, commercial, educational, military or goverment organization. This license also covers two other software published by Freshdevices.com: FreshUI and FreshDiagnose.

1. Freshdevices Home Office License .......................................... USD 39 (1 computer)

2. Freshdevices Bronze License .................................................. USD 95 (up to 5 computers)

3. Freshdevices Silver License .................................................... USD 295 (up to 25 computers)

4. Freshdevices Gold License ...................................................... USD 995 (up to 250 computers)


contact us

Bugs reports Previous Top Next

Send your comments, suggestions and bug reports for future development of Fresh Download to http://www.freshdevices.com/contact.html